Slow performance with Gmail

Bug #217580 reported by phinn
40
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Confirmed
Medium
XULRunner
Confirmed
Medium
firefox-3.0 (Ubuntu)
Undecided
Unassigned
xulrunner-1.9 (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: firefox-3.0

When scrolling in Gmail (and other websites however its not as noticable) the scrolling performance is terrible. There is a slight lag from when it starts to scroll to when it actually does scroll. On my Windows XP machine it is MUCH faster (basically instant). This is present with both Compiz enabled and disabled.

ProblemType: Bug
Architecture: i386
Date: Tue Apr 15 01:01:46 2008
DistroRelease: Ubuntu 8.04
NonfreeKernelModules: nvidia
Package: firefox-3.0 3.0~b5+nobinonly-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: firefox-3.0
Uname: Linux 2.6.24-16-generic i686

Revision history for this message
In , Bzbarsky (bzbarsky) wrote :

Over half the time is under nsTextFrame::PaintText.

Can you hunt down a regression range for this? That would make it easier to tell what's going on... It would also help to have either a minimal testcase or at least a testcase attached to this bug.

Are we invalidating/repainting too much or something?

Nominating, but I don't think this should block necessarily. I do think it should be wanted (next or 1.9).

Revision history for this message
In , Romaxa (romaxa) wrote :
Revision history for this message
In , Bzbarsky (bzbarsky) wrote :

Ah, border rendering. For what it's worth, a minimal testcase would likely help quite a bit here... Specifically, what border styles are causing the slowness?

Revision history for this message
In , Googulator (netrolller-3d) wrote :

Looks like dashed borders are no better than dotted ones. This page has a lot of long dashed borders, while a major border rewrite bug is slow scrolling with long dotted borders.

Revision history for this message
In , Bzbarsky (bzbarsky) wrote :

That's a likely possibility, yes. I can't find the bug on slow dotted borders linked from bug 368247, though... What's the number?

Revision history for this message
In , Mtschrep (mtschrep) wrote :

Setting to wanted based on comment 1. Unless vlad wants to crank a fix out :-P

Revision history for this message
In , Bugzilla-dolphinling (bugzilla-dolphinling) wrote :

There are a bunch of bugs on this currently, none of which are perfectly clean, and this was first, so updating summary, fixing fields, etc.

(see also bug 379834, where a much worse case of this problem with a different cause was fixed)

Revision history for this message
In , Bugzilla-dolphinling (bugzilla-dolphinling) wrote :

*** Bug 423057 has been marked as a duplicate of this bug. ***

Revision history for this message
In , Bugzilla-dolphinling (bugzilla-dolphinling) wrote :

*** Bug 423611 has been marked as a duplicate of this bug. ***

Revision history for this message
In , Bugzilla-dolphinling (bugzilla-dolphinling) wrote :

Ah, shoot, didn't see bug 424423 until just now because it wasn't marked a regression from 368247. Marking this depending on that, though it's probably a dupe.

Revision history for this message
In , Romaxa (romaxa) wrote :

Why did you change URL on https://bugzilla.mozilla.org/attachment.cgi?id=291413 ?

Current URL works on trunk faster than on FF2...

for me better testcase http://erased.info/post15530 or
https://bugzilla.mozilla.org/attachment.cgi?id=310196

Revision history for this message
In , Bzbarsky (bzbarsky) wrote :

romaxa, please just attach whatever page is showing issues to the bug. Linking to sites which may not be around (or might change) tomorrow, is not a good way to get bugs fixed....

Revision history for this message
In , Bugzilla-dolphinling (bugzilla-dolphinling) wrote :

romaxa: Sorry, for me attachment 291413 is slower on trunk than 2.0, but only a little bit so you're right it probably doesn't show the same problem. Switching url field to attachment 310196, which won't disappear.

Revision history for this message
In , Roc-ocallahan (roc-ocallahan) wrote :

We can use gdk_window_move_region to scroll partial rects on GTK2 to speed up fixed-pos painting the same way we do on Windows. See discussion in bug 382392.

Revision history for this message
In , Romaxa (romaxa) wrote :

Created attachment 314156
Divs with dashed borders

Revision history for this message
phinn (phinnvr6) wrote :

Binary package hint: firefox-3.0

When scrolling in Gmail (and other websites however its not as noticable) the scrolling performance is terrible. There is a slight lag from when it starts to scroll to when it actually does scroll. On my Windows XP machine it is MUCH faster (basically instant). This is present with both Compiz enabled and disabled.

ProblemType: Bug
Architecture: i386
Date: Tue Apr 15 01:01:46 2008
DistroRelease: Ubuntu 8.04
NonfreeKernelModules: nvidia
Package: firefox-3.0 3.0~b5+nobinonly-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: firefox-3.0
Uname: Linux 2.6.24-16-generic i686

Revision history for this message
phinn (phinnvr6) wrote :
Revision history for this message
Jonathan Aquilina (eagles051387) wrote :

i can confirm this. it is really slow when scrolling down through gmail inbox.

Changed in firefox-3.0:
status: New → Confirmed
Revision history for this message
phinn (phinnvr6) wrote :

I have checked many other sites to reproduce this "bug" and I can now say that is should be considered a "show stopper". It appears that it's related to the javascript performance (or AJAX or something similar) and is TERRIBLE.

Another good example is any website that offer Ajax images such as: http://www.worldofwarcraft.com/downloads/ssotd/
These images on any other machine should load very swiftly and smoothly. Especially with Firefox 3.0 (compared to 2.x).

They load EXTREMELY slow. I dual boot WinXP on this machine and I can compare the javascript performance and it's night and day. I have also tried a Mac OS X box running Firefox 3.0 beta5 to further test it. One of the huge improvements in Firefox 3 is obviously supposed to be its performance (among other things). My iPhone is actually faster at this point. This is a huge bug.

The package update today: 3.0~b5+nobinonly-0ubuntu2 has not changed anything related to it.

Revision history for this message
nawitus (nawitus) wrote :

I have the same problem with Gmail, and that worldofwarcraft.com link posted earlier. The images themselves are loaded instantly, but whatever script is used to reveal the picture is extremely slow. I'm using Hardy Heron release and Firefox3b5, with Nvidia 8400 and HP laptop.

Revision history for this message
phinn (phinnvr6) wrote :

Yea there is a definite problem because I've tried it on a couple other computers to confirm it. Any website with Ajax/Javascript sort of stuff works way too slow.

Another example is: http://www.transmissionbt.com/screenshots.php

The screenshots open and disappear choppy, when on a WinXP or Mac OS machine with Firefox 3.0, or Opera, they are much smoother.

Revision history for this message
muriloq (muriloq) wrote :

Same problem here.

Revision history for this message
muriloq (muriloq) wrote :

This workaround helped:

http://ubuntuforums.org/showthread.php?p=4412617

The problem is the number of checkboxes (and other widgets); the theme Ubuntu-ClearLooks seems very innefficient for those.

Revision history for this message
Endolith (endolith) wrote :

Same problem here after the Hardy upgrade. Scrolling on pages like gmail is unbearably slow. I have an Nvidia card with Desktop Effects turned off (black windows problem). Is this really due to AJAX or is it due to the widgets on the page being drawn in teh same theme as Ubuntu? Should make a test page with just a bunch of widgets and no AJAX. I tried disabling Ubuntu Firefox Extension but it didn't help.

http://ubuntuforums.org/showthread.php?t=734462

Revision history for this message
muriloq (muriloq) wrote :

Changing to Gmail "Older Version" (using the link or going to https://mail.google.com/mail/?ui=1 ) solved the problem here.

Revision history for this message
hdante (hdante) wrote :

I have the same problem here. The problem started after I've upgraded to Hardy and gmail switched to "new version" mode. I had to switch back to "old version" as a workaround.

Revision history for this message
phinn (phinnvr6) wrote :

Yes your right the "Old version" is definitely a work around. It would be nice to see the bug resolved though because on my WinXP machine both modes run fine.

On a side note I have also found the performance to be oddly better with my NVIDIA GeForce 8600GT with the open source drivers than the nvidia-glx-new drivers from restricted. This is unfortunate because I cannot use Compiz-fusion with the open source ones.

Revision history for this message
muriloq (muriloq) wrote : Re: [Bug 217580] Re: Slow performance with Gmail
  • unnamed Edit (1.1 KiB, text/html; charset=ISO-8859-1)

On 5/1/08, phinn <email address hidden> wrote:
>
> On a side note I have also found the performance to be oddly better with
> my NVIDIA GeForce 8600GT with the open source drivers than the nvidia-
> glx-new drivers from restricted. This is unfortunate because I cannot
> use Compiz-fusion with the open source ones.
>

I also have a 8600GT, but instead of using the drivers from Ubuntu (open
source or restricted) I downloaded and installed the latest nvidia drivers
from http://www.nvidia.com. Besides the problem with GMail, I'm having
excellent performance with compiz fusion and other 3D applications.

--
Murilo Saraiva de Queiroz, MSc.
Senior Software Engineer
http://www.vettalabs.com

Revision history for this message
Endolith (endolith) wrote :

I tried the Murrine workaround and it did not seem to help. I think this is a pretty major bug. Browsing certain pages with Firefox is very slow and there appears to be no way for me to workaround.

Revision history for this message
John Vivirito (gnomefreak) wrote :
Revision history for this message
muriloq (muriloq) wrote :
  • unnamed Edit (1.2 KiB, text/html; charset=ISO-8859-1)

I changed to Murrine and to gmail older version simultaneously - now I
believe that what helped wasnt' Murrine, but changing GMail.

Officially Google doesn't support Firefox 3 yet; there are plenty of angry
messages about it in gmail discussion groups.

On Thu, May 1, 2008 at 9:48 PM, Endolith <email address hidden> wrote:

> I tried the Murrine workaround and it did not seem to help. I think
> this is a pretty major bug. Browsing certain pages with Firefox is very
> slow and there appears to be no way for me to workaround.
>
> --
> Slow performance with Gmail
> https://bugs.launchpad.net/bugs/217580
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Murilo Saraiva de Queiroz, MSc.
Senior Software Engineer
http://www.vettalabs.com

Revision history for this message
John Vivirito (gnomefreak) wrote :

>
> phinn wrote:
>
>> > Yes your right the "Old version" is definitely a work around. It would
>> > be nice to see the bug resolved though because on my WinXP machine both
>> > modes run fine.
>> >
>> > On a side note I have also found the performance to be oddly better with
>> > my NVIDIA GeForce 8600GT with the open source drivers than the nvidia-
>> > glx-new drivers from restricted. This is unfortunate because I cannot
>> > use Compiz-fusion with the open source ones.
>> >
>> >
>>

I am unable to reproduce this in firefox 3.0
Can you please confirm if this happens in galeon, epiphany-browser,
konq. to give us a better idea but im honestly lean towards gmail beta
version being why its slow but i would need more to go on, I check my 6+
gmail boxes every couple of days just to clean up since i keep the mail
there due to the way i set it up.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Revision history for this message
muriloq (muriloq) wrote :
  • unnamed Edit (1003 bytes, text/html; charset=ISO-8859-1)

On Fri, May 2, 2008 at 1:18 PM, John Vivirito <email address hidden> wrote:

> I am unable to reproduce this in firefox 3.0
> Can you please confirm if this happens in galeon, epiphany-browser,
> konq. to give us a better idea but im honestly lean towards gmail beta
> version being why its slow but i would need more to go on, I check my 6+
> gmail boxes every couple of days just to clean up since i keep the mail
> there due to the way i set it up.

- Galeon works fine.
- Epiphany has the problem (as slow as Firefox 3.0 b5)
- Standard GMail doesn't work on Konqueror, but the HTML version is OK.

--
Murilo Saraiva de Queiroz, MSc.
Senior Software Engineer
http://www.vettalabs.com

Revision history for this message
John Vivirito (gnomefreak) wrote :

muriloq wrote:
> On Fri, May 2, 2008 at 1:18 PM, John Vivirito <email address hidden>
> wrote:
>
>
>> I am unable to reproduce this in firefox 3.0
>> Can you please confirm if this happens in galeon, epiphany-browser,
>> konq. to give us a better idea but im honestly lean towards gmail beta
>> version being why its slow but i would need more to go on, I check my 6+
>> gmail boxes every couple of days just to clean up since i keep the mail
>> there due to the way i set it up.
>>
>
>
> - Galeon works fine.
> - Epiphany has the problem (as slow as Firefox 3.0 b5)
> - Standard GMail doesn't work on Konqueror, but the HTML version is OK.
>
>
This sounds like its a google thing can you please confirm that this
happens on goggle calendar google documents. As i understand it its a
google issue more than a firefox one it seems they havent replaced the
code to run with firefox-3.0 This is unconfirmed at this time but i have
an email into google asking about it.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Revision history for this message
John Vivirito (gnomefreak) wrote :

John Vivirito wrote:
> muriloq wrote:
>> On Fri, May 2, 2008 at 1:18 PM, John Vivirito <email address hidden>
>> wrote:
>>
>>
>>> I am unable to reproduce this in firefox 3.0
>>> Can you please confirm if this happens in galeon, epiphany-browser,
>>> konq. to give us a better idea but im honestly lean towards gmail beta
>>> version being why its slow but i would need more to go on, I check my 6+
>>> gmail boxes every couple of days just to clean up since i keep the mail
>>> there due to the way i set it up.
>>>
>>
>> - Galeon works fine.
>> - Epiphany has the problem (as slow as Firefox 3.0 b5)
>> - Standard GMail doesn't work on Konqueror, but the HTML version is OK.
>>
>>
> This sounds like its a google thing can you please confirm that this
> happens on goggle calendar google documents. As i understand it its a
> google issue more than a firefox one it seems they havent replaced the
> code to run with firefox-3.0 This is unconfirmed at this time but i have
> an email into google asking about it.
>
Right from googles site is the snippet and than a link to find it.

> For the best experience, please access Gmail via Internet Explorer v.7+, Firefox v.2+, or Safari v.3+.

http://mail.google.com/support/bin/static.py?page=known_issues.cs
If you look to your right in the little yellow box you will see the
above comment

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Revision history for this message
muriloq (muriloq) wrote :
  • unnamed Edit (2.0 KiB, text/html; charset=ISO-8859-1)

On Fri, May 2, 2008 at 3:27 PM, John Vivirito <email address hidden> wrote:

> muriloq wrote:
> > On Fri, May 2, 2008 at 1:18 PM, John Vivirito <email address hidden>
> > wrote:
> >
> >> I am unable to reproduce this in firefox 3.0
> >> Can you please confirm if this happens in galeon, epiphany-browser,
> >> konq. to give us a better idea but im honestly lean towards gmail beta
> >> version being why its slow but i would need more to go on, I check my
> 6+
> >> gmail boxes every couple of days just to clean up since i keep the mail
> >> there due to the way i set it up.
> >>
> >
> > - Galeon works fine.
> > - Epiphany has the problem (as slow as Firefox 3.0 b5)
> > - Standard GMail doesn't work on Konqueror, but the HTML version is OK.
> >
> This sounds like its a google thing can you please confirm that this
> happens on goggle calendar google documents. As i understand it its a
> google issue more than a firefox one it seems they havent replaced the
> code to run with firefox-3.0 This is unconfirmed at this time but i have
> an email into google asking about it.
>

It's not Google-specific. For example, the forum below scrolls slowly (and
with a lot of lag - it keeps moving 2-3 seconds after I stop rolling the
mouse wheel) in Firefox 3 but it's perfect in Galeon:

http://forums.wow-europe.com/board.html?sid=1&forumId=3901822

--
Murilo Saraiva de Queiroz, MSc.
Senior Software Engineer
http://www.vettalabs.com

Revision history for this message
John Vivirito (gnomefreak) wrote :

John Vivirito wrote:
> muriloq wrote:
>
>> On Fri, May 2, 2008 at 1:18 PM, John Vivirito <email address hidden>
>> wrote:
>>
>>
>>
>>> I am unable to reproduce this in firefox 3.0
>>> Can you please confirm if this happens in galeon, epiphany-browser,
>>> konq. to give us a better idea but im honestly lean towards gmail beta
>>> version being why its slow but i would need more to go on, I check my 6+
>>> gmail boxes every couple of days just to clean up since i keep the mail
>>> there due to the way i set it up.
>>>
>>>
>> - Galeon works fine.
>> - Epiphany has the problem (as slow as Firefox 3.0 b5)
>> - Standard GMail doesn't work on Konqueror, but the HTML version is OK.
>>
>>
>>
> This sounds like its a google thing can you please confirm that this
> happens on goggle calendar google documents. As i understand it its a
> google issue more than a firefox one it seems they havent replaced the
> code to run with firefox-3.0 This is unconfirmed at this time but i have
> an email into google asking about it.
>
>
Here is a list of supported browsers and problems that using unsupported
browser can show:
http://mail.google.com/support/bin/answer.py?answer=6557&topic=12914
http://mail.google.com/support/bin/answer.py?answer=80446&topic=12914

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Revision history for this message
John Vivirito (gnomefreak) wrote :

John Vivirito wrote:
> muriloq wrote:
>
>> On Fri, May 2, 2008 at 1:18 PM, John Vivirito <email address hidden>
>> wrote:
>>
>>
>>
>>> I am unable to reproduce this in firefox 3.0
>>> Can you please confirm if this happens in galeon, epiphany-browser,
>>> konq. to give us a better idea but im honestly lean towards gmail beta
>>> version being why its slow but i would need more to go on, I check my 6+
>>> gmail boxes every couple of days just to clean up since i keep the mail
>>> there due to the way i set it up.
>>>
>>>
>> - Galeon works fine.
>> - Epiphany has the problem (as slow as Firefox 3.0 b5)
>> - Standard GMail doesn't work on Konqueror, but the HTML version is OK.
>>
>>
>>
> This sounds like its a google thing can you please confirm that this
> happens on goggle calendar google documents. As i understand it its a
> google issue more than a firefox one it seems they havent replaced the
> code to run with firefox-3.0 This is unconfirmed at this time but i have
> an email into google asking about it.
>
>
This is the page after reporting it with them i will keep you updated
when i am

We're sorry that you're having trouble with your Gmail account. We've
forwarded your report to the Gmail team, and we'll contact you only if
we need more information.

While we work to resolve this issue, you should be able to access your
Gmail account through our basic HTML interface at
http://mail.google.com/mail/?ui=html. We also suggest trying another
browser such as Mozilla Firefox <http://www.mozilla.com/> or Microsoft
Internet Explorer
<http://www.microsoft.com/windows/products/winfamily/ie/default.mspx>.

Thanks for your patience, and we apologize for any inconvenience.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

Revision history for this message
John Vivirito (gnomefreak) wrote :

Im leaning towards https://bugzilla.mozilla.org/show_bug.cgi?id=413280 more so can you please test the testcase they have see if you see same issue? than if you do ill mark bug for upstream bug.

Revision history for this message
Alexander Sack (asac) wrote :
Changed in xulrunner-1.9:
importance: Undecided → Medium
status: New → Confirmed
Changed in xulrunner:
status: Unknown → Confirmed
Changed in xulrunner:
status: Unknown → Confirmed
Changed in xulrunner:
status: Confirmed → Invalid
Changed in xulrunner:
status: Unknown → Confirmed
Changed in firefox-3.0:
status: Confirmed → Invalid
Alexander Sack (asac)
Changed in xulrunner-1.9:
status: Confirmed → Fix Committed
56 comments hidden view all 136 comments
Revision history for this message
f3a97 (f3a97) wrote :

Here's the data of the same firefox scrolling test, this time with nv
driver.

It seems a little bit better, Xorg draws a little less CPU consumption
compared with nouveau, but it is still the bottleneck as you can see.

See attachment.

2009/5/2 aatdark <email address hidden>

> i can confirm bad behaviour on Intel 4500MHD. (After extensive scrolling
> the windows turns gray and keeps scrolling)
> hope the bug will be fixed in FF 3.5
>
> --
> Slow performance with Gmail
> https://bugs.launchpad.net/bugs/217580
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in XUL + XPCOM application runner: Confirmed
> Status in “firefox-3.0” source package in Ubuntu: Invalid
> Status in “xulrunner-1.9” source package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: firefox-3.0
>
> When scrolling in Gmail (and other websites however its not as noticable)
> the scrolling performance is terrible. There is a slight lag from when it
> starts to scroll to when it actually does scroll. On my Windows XP machine
> it is MUCH faster (basically instant). This is present with both Compiz
> enabled and disabled.
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Apr 15 01:01:46 2008
> DistroRelease: Ubuntu 8.04
> NonfreeKernelModules: nvidia
> Package: firefox-3.0 3.0~b5+nobinonly-0ubuntu1
> PackageArchitecture: i386
> ProcEnviron:
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: firefox-3.0
> Uname: Linux 2.6.24-16-generic i686
>

Revision history for this message
bernhard (bernhardredl) wrote :

although xorg uses all the cpu time it must be a firefox bug because opera qt does not show any of this issues.
Is this an xulrunner or an firefox bug ?

Revision history for this message
bernhard (bernhardredl) wrote :

this is an updated version of the page. It does not contain any "position:fixed" element on it.
as you can see the scrolling is very fast.

http://stinkt.kicks-ass.org/1b6cc1af2e8437646c9b7422d78e6eb3/no_css_fix_pos.html

(original page with the position:fixed elements)
http://stinkt.kicks-ass.org/1b6cc1af2e8437646c9b7422d78e6eb3/slidecast%20-%20studio%20-%20vertical-view.html

Revision history for this message
f3a97 (f3a97) wrote :

I've profiled the system while executing the previously described workload.

Attached you can find oprofile output.

Even though there are no symbols (I guess I need debug packages for that),
it shows where the time is spent.

Alex, let me know if symbols might be interesting to track this down.

2009/5/2 aatdark <email address hidden>

> although xorg uses all the cpu time it must be a firefox bug because opera
> qt does not show any of this issues.
> Is this an xulrunner or an firefox bug ?
>
> ** Also affects: firefox via
> https://bugzilla.mozilla.org/show_bug.cgi?id=427431
> Importance: Unknown
> Status: Unknown
>
> --
> Slow performance with Gmail
> https://bugs.launchpad.net/bugs/217580
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Mozilla Firefox Browser: Unknown
> Status in XUL + XPCOM application runner: Confirmed
> Status in “firefox-3.0” source package in Ubuntu: Invalid
> Status in “xulrunner-1.9” source package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: firefox-3.0
>
> When scrolling in Gmail (and other websites however its not as noticable)
> the scrolling performance is terrible. There is a slight lag from when it
> starts to scroll to when it actually does scroll. On my Windows XP machine
> it is MUCH faster (basically instant). This is present with both Compiz
> enabled and disabled.
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Apr 15 01:01:46 2008
> DistroRelease: Ubuntu 8.04
> NonfreeKernelModules: nvidia
> Package: firefox-3.0 3.0~b5+nobinonly-0ubuntu1
> PackageArchitecture: i386
> ProcEnviron:
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: firefox-3.0
> Uname: Linux 2.6.24-16-generic i686
>

Revision history for this message
f3a97 (f3a97) wrote :

I can confirm this,
 the difference is like night and day!

Sounds like this might be the culprit.

Did you find that gmail uses this kind of element? This might point directly
to a firefox bug?

Thanks, great work!

2009/5/2 aatdark <email address hidden>

> this is an updated version of the page. It does not contain any
> "position:fixed" element on it.
> as you can see the scrolling is very fast.
>
> http://stinkt.kicks-
> ass.org/1b6cc1af2e8437646c9b7422d78e6eb3/no_css_fix_pos.html
>
> (original page with the position:fixed elements)
>
> http://stinkt.kicks-ass.org/1b6cc1af2e8437646c9b7422d78e6eb3/slidecast%20-%20studio%20-%20vertical-view.html
>
> --
> Slow performance with Gmail
> https://bugs.launchpad.net/bugs/217580
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Mozilla Firefox Browser: Unknown
> Status in XUL + XPCOM application runner: Confirmed
> Status in “firefox-3.0” source package in Ubuntu: Invalid
> Status in “xulrunner-1.9” source package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: firefox-3.0
>
> When scrolling in Gmail (and other websites however its not as noticable)
> the scrolling performance is terrible. There is a slight lag from when it
> starts to scroll to when it actually does scroll. On my Windows XP machine
> it is MUCH faster (basically instant). This is present with both Compiz
> enabled and disabled.
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Apr 15 01:01:46 2008
> DistroRelease: Ubuntu 8.04
> NonfreeKernelModules: nvidia
> Package: firefox-3.0 3.0~b5+nobinonly-0ubuntu1
> PackageArchitecture: i386
> ProcEnviron:
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: firefox-3.0
> Uname: Linux 2.6.24-16-generic i686
>

Revision history for this message
muriloq (muriloq) wrote :

Excellent work, stek79 and aatdark, thanks a lot.

One question: if the cause is the use of "position:fixed;", can't we use greasemonkey or some other CSS hack to make a workaround while the actual problem isn't fixed ? Does anybody know how to do it ?

Revision history for this message
Alexander Sack (asac) wrote :

>Did you find that gmail uses this kind of element? This might point directly
to a firefox bug?

well. i already said above that fixed positioning is known to have performance issues (and i gave bugzilla IDs above for them); besides from that its also a driver issue, because it works better with some drivers; the fact that other browsers dont hit this, doesn't mean that the drivers are right.

Changed in firefox:
status: Unknown → Confirmed
Revision history for this message
phinn (phinnvr6) wrote :

I can confirm these findings on my Ubuntu 9.04 + Nvidia driver GeForce 8600 as well. Also not only does it reduce CPU consumption if I switch to the "nv" open source drivers, but the performance increases dramatically as well.

Revision history for this message
f3a97 (f3a97) wrote :

Sorry Alex,
     I didn't checked the linked bugs actually!

I'm very glad that eventually we all have been able to track this down!

I'm not sure this might be a driver issue, IMHO. So far there have been
reports of users with Nvidia, Intel and ATI cards (fglrx, see first post of
Mozilla bug 422330). A friend of mine keep telling me about this slowness on
ATI + radeonhd, also.

I think that users that own older PCs tends to notice this much more - my
CPU is a 1.6 GHZ AMD Athlon, and scrolling is VERY slugghish. At work I use
a much more recent notebook with ATI + radeon, and the scrolling slowness is
still there, but a bit less relevant.

So, we've likely found the long standing bug that is affecting us, good. On
bugzilla I see the status is NEW, and no more activity since August 2008.

Alex, is there something we can do to speedup this bug fixing? Perhaps
aatdark work can be useful, since it provides a clean testcase? Will FF 3.5
still have this bug?

Thanks

2009/5/2 Alexander Sack <email address hidden>

> >Did you find that gmail uses this kind of element? This might point
> directly
> to a firefox bug?
>
> well. i already said above that fixed positioning is known to have
> performance issues (and i gave bugzilla IDs above for them); besides
> from that its also a driver issue, because it works better with some
> drivers; the fact that other browsers dont hit this, doesn't mean that
> the drivers are right.
>
> --
> Slow performance with Gmail
> https://bugs.launchpad.net/bugs/217580
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Mozilla Firefox Browser: Unknown
> Status in XUL + XPCOM application runner: Confirmed
> Status in “firefox-3.0” source package in Ubuntu: Invalid
> Status in “xulrunner-1.9” source package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: firefox-3.0
>
> When scrolling in Gmail (and other websites however its not as noticable)
> the scrolling performance is terrible. There is a slight lag from when it
> starts to scroll to when it actually does scroll. On my Windows XP machine
> it is MUCH faster (basically instant). This is present with both Compiz
> enabled and disabled.
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Apr 15 01:01:46 2008
> DistroRelease: Ubuntu 8.04
> NonfreeKernelModules: nvidia
> Package: firefox-3.0 3.0~b5+nobinonly-0ubuntu1
> PackageArchitecture: i386
> ProcEnviron:
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: firefox-3.0
> Uname: Linux 2.6.24-16-generic i686
>

Revision history for this message
f3a97 (f3a97) wrote :

Sorry,
    I watched the wrong bug on mozilla.

The culprit, as Sack pointed out, should be this one:

https://bugzilla.mozilla.org/show_bug.cgi?id=427431

Great Bernhard, I see that you already pointed out your work, good :)

2009/5/3 Stefano Doni <email address hidden>

> Sorry Alex,
> I didn't checked the linked bugs actually!
>
> I'm very glad that eventually we all have been able to track this down!
>
> I'm not sure this might be a driver issue, IMHO. So far there have been
> reports of users with Nvidia, Intel and ATI cards (fglrx, see first post of
> Mozilla bug 422330). A friend of mine keep telling me about this slowness on
> ATI + radeonhd, also.
>
> I think that users that own older PCs tends to notice this much more - my
> CPU is a 1.6 GHZ AMD Athlon, and scrolling is VERY slugghish. At work I use
> a much more recent notebook with ATI + radeon, and the scrolling slowness is
> still there, but a bit less relevant.
>
>
> So, we've likely found the long standing bug that is affecting us, good. On
> bugzilla I see the status is NEW, and no more activity since August 2008.
>
> Alex, is there something we can do to speedup this bug fixing? Perhaps
> aatdark work can be useful, since it provides a clean testcase? Will FF 3.5
> still have this bug?
>
> Thanks
>
>
> 2009/5/2 Alexander Sack <email address hidden>
>
> >Did you find that gmail uses this kind of element? This might point
>> directly
>> to a firefox bug?
>>
>> well. i already said above that fixed positioning is known to have
>> performance issues (and i gave bugzilla IDs above for them); besides
>> from that its also a driver issue, because it works better with some
>> drivers; the fact that other browsers dont hit this, doesn't mean that
>> the drivers are right.
>>
>> --
>> Slow performance with Gmail
>> https://bugs.launchpad.net/bugs/217580
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in The Mozilla Firefox Browser: Unknown
>> Status in XUL + XPCOM application runner: Confirmed
>> Status in “firefox-3.0” source package in Ubuntu: Invalid
>> Status in “xulrunner-1.9” source package in Ubuntu: Fix Committed
>>
>> Bug description:
>> Binary package hint: firefox-3.0
>>
>> When scrolling in Gmail (and other websites however its not as noticable)
>> the scrolling performance is terrible. There is a slight lag from when it
>> starts to scroll to when it actually does scroll. On my Windows XP machine
>> it is MUCH faster (basically instant). This is present with both Compiz
>> enabled and disabled.
>>
>> ProblemType: Bug
>> Architecture: i386
>> Date: Tue Apr 15 01:01:46 2008
>> DistroRelease: Ubuntu 8.04
>> NonfreeKernelModules: nvidia
>> Package: firefox-3.0 3.0~b5+nobinonly-0ubuntu1
>> PackageArchitecture: i386
>> ProcEnviron:
>>
>> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
>> LANG=en_US.UTF-8
>> SHELL=/bin/bash
>> SourcePackage: firefox-3.0
>> Uname: Linux 2.6.24-16-generic i686
>>
>
>

Revision history for this message
bernhard (bernhardredl) wrote :

anyone knows if this is a firefox or a xulrunner related problem?
if xulrunner is not the problem i will remove it from the affected projects.

Imho we also have to remove the "fix commited" because this is simply not the case.

Revision history for this message
Alexander Sack (asac) wrote :

> Alex, is there something we can do to speedup this bug fixing? Perhaps
> aatdark work can be useful, since it provides a clean testcase? Will FF 3.5
> still have this bug?

I think the issue is understood upstream - though no fix is proposed yet; anyway, attaching a simple testcase to the right bugzilla bug shouldn't hurt.

Revision history for this message
muriloq (muriloq) wrote :

It's a GTK2 bug, as pointed by others in this thread:
https://bugzilla.mozilla.org/show_bug.cgi?id=427431

I'm almost sure that it also occurs in the Eclipse IDE, when editing reports
using BIRT - scrolling it's as sluggish as in Firefox.

Is there a current Firefox based on Motif or something else not GTK2 ?

On Mon, May 4, 2009 at 2:04 PM, aatdark <email address hidden> wrote:

> anyone knows if this is a firefox or a xulrunner related problem?
> if xulrunner is not the problem i will remove it from the affected
> projects.
>
> Imho we also have to remove the "fix commited" because this is simply
> not the case.
>
> --
> Slow performance with Gmail
> https://bugs.launchpad.net/bugs/217580
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Murilo Saraiva de Queiroz, MSc.
Senior Software Engineer
http://www.vettalabs.com
http://www.tecnologiainteligente.com.br
http://www.acalantoemcasa.com.br

Revision history for this message
Christoph Klaffl (z3r0c00l) wrote :

I got some news, I checked out Firefox 3.5 Beta 4. It's running a lot of faster, so I tried if the scrolling problem still occurs. It didn't, scrolling was very fast and smooth with not much cpu consumtion :-) So I was happy. Then I returned to my normal Firefox installation shipped with Ubuntu Jaunty and guess what, it did scroll smooth ether.
Is this now fixed in the offical repo and can someone verify this?

Revision history for this message
Michael Rooney (mrooney) wrote :

This is definitely still an issue for me with
3.0.11+build2+nobinonly-0ubuntu0.9.04.1 AND
3.5~hg20090613r25972+nobinonly-0ubuntu1~umd1~jaunty. To duplicate it I
can just open gmail and open the tasks or a chat pop-up, and scrolling
becomes unbearably slow. Currently I am using chromium-browser for
gmail to work around this.

Revision history for this message
Christoph Klaffl (z3r0c00l) wrote :

k, same Firefox Version here (3.0.11+build2+nobinonly-0ubuntu0.9.04.1).

I'm running Ubuntu Jaunty 9.04.1 64 Bit with all updates.
Mhm, maybe it's the video driver. I recently (yesterday) updated my nvidia driver to version 180.60 (from 180.44) so I can use it with the new 2.6.30 kernel. If you have an nvidia card, you should try it. Packages for Jaunty are available:

wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers-180/nvidia-180-kernel-source_180.60-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers-180/nvidia-180-libvdpau-dev_180.60-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers-180/nvidia-180-libvdpau_180.60-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers-180/nvidia-glx-180-dev_180.60-0ubuntu1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/restricted/n/nvidia-graphics-drivers-180/nvidia-glx-180_180.60-0ubuntu1_amd64.deb

I hope it works, because else I have no clue why it works so smooth now.

gmail is running fast, aatdark's testsite is running smooth, overall every pages runs smooth like opera does :-)

Revision history for this message
Michael Rooney (mrooney) wrote :

I just recently upgraded to the 185.18.14-0ubuntu1 driver from the
xorg-swat PPA and still experience it with that.

Revision history for this message
Christoph Klaffl (z3r0c00l) wrote :

k, this driver is newer than mine. So I don't have any clues why this problem is solved for me :-(

Revision history for this message
bernhard (bernhardredl) wrote :

@Michael Rooney
what kernel are you using?

maybe its an kernel - nvidea driver issue.

I mean 2.6.30 may fit with the 180.60
I will investigate this.

Revision history for this message
Christoph Klaffl (z3r0c00l) wrote :

@aatdark:

little notice: running 2.6.28-11-generic with 180.60 ( I only tested 2.6.30, my working kernel ist the standard one from jaunty)

Revision history for this message
Michael Rooney (mrooney) wrote :

> @Michael Rooney
> what kernel are you using?

I am running the standard Jaunty kernel, 2.6.28.11.15.

Revision history for this message
In , bernhard (bernhardredl) wrote :

> can someone who's seeing the problem check with a nightly?

nothing better with firefox 3.5 on ubuntu. Tested Google Chrome & Opera (scrolling = instant)

Revision history for this message
In , Googulator (netrolller-3d) wrote :

(In reply to comment #20)
> nothing better with firefox 3.5 on ubuntu. Tested Google Chrome & Opera
> (scrolling = instant)

Firefox 3.5 != latest nightly; the latest nightly contains Firefox 3.next (Namoroka)-specific code.

Revision history for this message
In , Bzbarsky (bzbarsky) wrote :

"latest nightly" as of when comment 19 was made is over a year ago. 3.5 contains the patch referenced in comment 19.

Revision history for this message
In , bernhard (bernhardredl) wrote :

Firefox 3.5 != latest nightly;

ok sry seems that i got something wrong. Thought that this patch must have been included in 3.5.

Do you think current nightly will show better scrolling performance?

Revision history for this message
In , Bzbarsky (bzbarsky) wrote :

That patch was in fact included in 3.5; see comment 22.

Revision history for this message
bernhard (bernhardredl) wrote :

at least this is fixed in karmic (beta)
same system with jaunty is affected till today (all updates ..)

Revision history for this message
tobiasly (tobiasly) wrote :

It is most certainly not fixed in Karmic. Scrolling in Google Reader is even worse for me with 9.10 (x86_64) and FF 3.5. I've tried everything: disabling desktop effects, disabling pango, disabling all plugins (ubuntu extension, flash, etc.), deleting my firefox profile (so it creates a fresh one), switching gnome themes, etc. and nothing fixes the issue.

I don't have much of a problem in Gmail but Google Reader is just terrible. I can see the screen redrawing while I scroll. Using an NVIDIA GX8500 based card with proprietary drivers (I've tried several different versions). Video in the rest of the system seems to be fine and snappy.

Revision history for this message
bernhard (bernhardredl) wrote :

@tobiasly
ok i can confirm, that F3.5 has a hard time with the google reader. But its definitly not the same sluggish scrolling issue.
I think the problem of this site is the heavy usage of javascript.

When i start to scroll, firefox just does not repaint the images as fast as (for example chrome ) does.

@tobiasly
you may switch to google's chrome for this particular site (until this bug is fixed) . It's very fast.

Revision history for this message
tobiasly (tobiasly) wrote :

@aatdark I don't believe for a moment that this is a JavaScript issue. Yes it makes heavy use of JavaScript but I'd argue that Gmail does more, and Reader is *much* worse for me than Gmail. When Firefox 3.5 launched there was much ado made about how fast its JavaScript performance it, but FF 3.0 in 8.10 worked much better than 3.5 in 9.10 does for me. I think it is more an issue of the specific way that CSS is used on that page.

Would you mind posting the specs for your system (cpu, video card 32/64 bits) if you are experiencing the same issue? Maybe we can figure out a commonality.

And yes, I've been keeping a close eye on Chrome but it's still not usable for everyday browsing on Linux IMO. I really like to customize my browser and Chrome just isn't where Firefox is (yet). Thanks though, hopefully it will get there soon...

Revision history for this message
bernhard (bernhardredl) wrote :

@tobiasly
sounds reasonable. My following PC are affected by the "google reader bug"

CPU: intel core 2 duo E6600
RAM: 4 GB
video card: GTS 250 nvidea

notebook
CPU intel T9000
ram 4GB
video: intel gma 4500

Revision history for this message
bernhard (bernhardredl) wrote :

not affected:

firefox 3.0.6
Fedora 7 Based
Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
Intel(R) Pentium(R) 4 CPU 3.00GHz

(Mozilla/5.0 (X11; U; Linux i686; de; rv:1.9.0.6) Gecko/2009020512 Remi/fc7 Firefox/3.0.6)

Revision history for this message
José Cabo (folcwine) wrote :

Hi,

I have the same problem with Google Reader (with Gmail i think no...).The Reader scroll is too slow.

I have a fresh install of Ubuntu 9.10 Karmic with all updates :(

Revision history for this message
John Vivirito (gnomefreak) wrote :

Is this still reproducible for anyone?

Revision history for this message
Michael Rooney (mrooney) wrote :

I haven't had this issue since probably Intrepid but it seems that others disagree.

Revision history for this message
bernhard (bernhardredl) wrote :

I WAS affected too. but since Karmic all things are running fine.

Revision history for this message
f3a97 (f3a97) wrote : Re: [Bug 217580] Re: Slow performance with Gmail

Hi,

I can definitely confirm that since Karmic this is completely resolved!

On Karmic, Firefox scrolling is even *faster* than chromium!

Great work guys!

On 2 March 2010 23:31, aatdark <email address hidden> wrote:

> I WAS affected too. but since Karmic all things are running fine.
>
> --
> Slow performance with Gmail
> https://bugs.launchpad.net/bugs/217580
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in The Mozilla Firefox Browser: Confirmed
> Status in XUL + XPCOM application runner: Confirmed
> Status in “firefox-3.0” package in Ubuntu: Invalid
> Status in “xulrunner-1.9” package in Ubuntu: Fix Committed
>
> Bug description:
> Binary package hint: firefox-3.0
>
> When scrolling in Gmail (and other websites however its not as noticable)
> the scrolling performance is terrible. There is a slight lag from when it
> starts to scroll to when it actually does scroll. On my Windows XP machine
> it is MUCH faster (basically instant). This is present with both Compiz
> enabled and disabled.
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Apr 15 01:01:46 2008
> DistroRelease: Ubuntu 8.04
> NonfreeKernelModules: nvidia
> Package: firefox-3.0 3.0~b5+nobinonly-0ubuntu1
> PackageArchitecture: i386
> ProcEnviron:
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SourcePackage: firefox-3.0
> Uname: Linux 2.6.24-16-generic i686
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/firefox/+bug/217580/+subscribe
>

Changed in xulrunner:
importance: Unknown → Medium
Changed in firefox:
importance: Unknown → Medium
Revision history for this message
In , Rnicoletto (rnicoletto) wrote :

Isn't this a DUPE of bug 266702?

Revision history for this message
Phillip Susi (psusi) wrote :

This package has been removed from Ubuntu. Closing all related bugs.

Changed in xulrunner-1.9 (Ubuntu):
status: Fix Committed → Invalid
Revision history for this message
In , Miket-y (miket-y) wrote :

Created attachment 8585587
slow-borders.html

Here's an example where scrolling is unusably janky on OSX, with a retina screen:

http://www.2ality.com/2015/03/es6-generators.html

When I plugged in my external non-retina monitor to reduce, the jank is almost gone entirely--but it's still not as smooth as Chrome.

There's a single CSS class in this reduced version of that blog page:

.post-outer {
border: dotted 1px #ccbb99;
box-shadow: 0 0 0 rgba(0, 0, 0, .1);
}

Changed in xulrunner:
status: Confirmed → Unknown
Changed in firefox:
status: Confirmed → Unknown
Changed in xulrunner:
status: Unknown → Confirmed
Changed in firefox:
status: Unknown → Confirmed
Displaying first 40 and last 40 comments. View all 136 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.